=== debian/changelog ===
libtk-img (1:1.4.2-4ubuntu1) trusty; urgency=low

  * Help system-wide libjpeg patch with an extra jconfig.h from multiarch
    include location.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2013 04:18:38 +0000

libtk-img (1:1.4.2-4) unstable; urgency=low

  * Added a new hack which allows the libtk-img package to link against
    the system-wide libtiff library (closes: #732147).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Dec 2013 21:09:10 +0400

libtk-img (1:1.4.2-3) unstable; urgency=low

  * Fixed build on 32-bit architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Dec 2013 15:27:41 +0400

libtk-img (1:1.4.2-2) unstable; urgency=low

  * Added a new hack which lets the libtk-img package use the system-wide
    libpng library.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Dec 2013 10:04:53 +0400

libtk-img (1:1.4.2-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches, removed obsolete ones.
  * Use internal copy of the libtiff library because libtk-img doesn't work
    with the newer version which is currently in unstable (closes: #732023).
  * Use internal copy of the libpng library because upstream switched to 1.4
    while Debian have only 1.2 yet.
  * Don't install doc-base file because libtk-img doesn't come with HTML docs
    now.
  * Switched to 3.0 (quilt) source format and bumped debhelper compatibility
    level to 8.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 14 Dec 2013 09:56:27 +0400

libtk-img (1:1.3-release-12) unstable; urgency=low

  * Enabled hardened build flags through dpkg-buildflags (closes: #657209).
  * Switched to libpng-dev from libpng12-dev in build dependencies (closes:
    #662413).
  * Documented the new pngsuite license in debian/copyright (closes: #615808).
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 24 May 2012 22:31:27 +0400

libtk-img (1:1.3-release-11) unstable; urgency=low

  * Fixed building with libjpeg8.
  * Bumped standards version to 3.9.2.
  * Added build-indep and build-arch targets into debian/rules.
  * Overridden lintian false positive on embedded tiff library.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 Dec 2011 18:38:35 +0400

libtk-img (1:1.3-release-10) experimental; urgency=low

  * Upload to experimental to test compatibility with Tcl/Tk 8.5.
  * Bumped standards version to 3.9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Jul 2010 22:29:22 +0400

libtk-img (1:1.3-release-9) unstable; urgency=low

  * Changed libjpeg62-dev to libjpeg-dev in build dependencies.
  * Added ${misc:Depends} variable to the binary packages dependencies because
    they are built using debhelper.
  * Added README.source with a description on how to patch the pristine
    sources with Debian patches.
  * Overridden lintian warning on an ancient autotools helper files in
    libtiff subdirectory because they aren't used when building the binary
    package.
  * Bumped standards version to 3.8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 14 Feb 2010 12:59:54 +0300

libtk-img (1:1.3-release-8) unstable; urgency=high

  * Applied patch by Nico Golde (previously created for Tk 8.4) which fixes
    security vulnerability CVE-2007-5137 arbitrary code execution via
    multi-frame interlaced GIF.
  * Applied patch by Nico Golde (previously created for Tk 8.4) which fixes
    security vulnerability CVE-2007-5378 overflow triggered by crafted
    GIF file (closes: #519072).
  * Set urgency to high as this upload fixes security vulnerabilities.
  * Mangled Debian version and use SF redirector in debian/watch uscan control
    file.
  * Overridden lintian warning on an ancient libtool version in libjpeg
    subdirectory because it isn't used when building the binary package.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 14 Mar 2009 08:42:09 +0300

libtk-img (1:1.3-release-7) unstable; urgency=high

  * Fixed CVE-2008-0553 vulnerability (Stack-based buffer overflow in the
    ReadImage function in tkImgGIF.c allows remote attackers to execute
    arbitrary code via a crafted GIF image, a similar issue to CVE-2006-4484.)
    Thanks Nico Golde for the patch. Closes: #485785.
  * Set urgency to high as this upload fixes a security vulnerability.
  * Protected quilt invocation in debian/rules to make it possible to convert
    bwidget source package to 3.0 (quilt) format (closes: #482710).
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Jun 2008 19:47:36 +0400

libtk-img (1:1.3-release-6) unstable; urgency=low

  * Removed tkv script from /usr/bin since it is not more than an example and
    isn't suitable for use as an image viewer. This allows to remove bashism
    echo -e from debian/rules (closes: #478608).
  * Moved all manpages and examples to a separate package libtk-img-doc to
    make the main package more lightweight.
  * Changed libtk-img section to libs and libtk-img-dev package section to
    libdevel as more appropriate.
  * Added a copyright notice to debian/copyright.
  * Fixed section in doc-base.
  * Use more recent ChangeLog file.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 01 May 2008 01:34:53 +0400

libtk-img (1:1.3-release-5) unstable; urgency=low

  * Adapted the package to Debian Tcl/Tk policy. This includes moving the Tcl
    modules into a subdirectory of /usr/lib/tcltk and switching to default
    tk package in dependencies.
  * Added Homepage field in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 18 Nov 2007 19:47:26 +0300

libtk-img (1:1.3-release-4) unstable; urgency=low

  * Fixed build on hurd-i386, kfreebsd-i386 and kfreebsd-amd64 architectures.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.
  * Made clean-patched target in debian/rules depend on patch-stamp.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 11 Sep 2007 18:26:54 +0400


