=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/-release$// \
    http://sf.net/tkimg/tkimg([\d.]*).tar.gz
